Package ru.bitel.bgbilling.modules.card.server.bean

# Class DPayment

java.lang.Object
ru.bitel.bgbilling.modules.card.server.bean.DPayment

public class DPayment extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DPayment()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `equalz(DPayment pay)`
  `String`
  `getContractComment()`
  `int`
  `getContractId()`
  `int`
  `getContractID()`
  Deprecated.
  `String`
  `getContractTitle()`
  `Date`
  `getDateTime()`
  `int`
  `getDealerId()`
  `int`
  `getId()`
  `String`
  `getPaymentComment()`
  `int`
  `getPaymentId()`
  `int`
  `getPaymentType()`
  `int`
  `getStatus()`
  `BigDecimal`
  `getSumma()`
  `String`
  `getTransId()`
  `void`
  `setContractComment(String contractComment)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setContractID(int contractId)`
  Deprecated.
  `void`
  `setContractTitle(String contractTitle)`
  `void`
  `setDateTime(Date date)`
  `void`
  `setDealerId(int dealerId)`
  `void`
  `setId(int id)`
  `void`
  `setPaymentComment(String comment)`
  `void`
  `setPaymentId(int id)`
  `void`
  `setPaymentType(int paymentType)`
  `void`
  `setStatus(int status)`
  `void`
  `setSumma(BigDecimal summa)`
  `void`
  `setTransId(String transId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DPayment

    public DPayment()

- ## Method Details

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus(int status)

  - ### getContractComment

    public String getContractComment()

  - ### setContractComment

    public void setContractComment(String contractComment)

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public void setContractTitle(String contractTitle)

  - ### getPaymentComment

    public String getPaymentComment()

  - ### setPaymentComment

    public void setPaymentComment(String comment)

  - ### getContractId

    public int getContractId()

  - ### getContractID

    @Deprecated public int getContractID()
    Deprecated.
    Использовать `getContractId()`.
    Returns:

  - ### setContractId

    public void setContractId(int contractId)

  - ### setContractID

    @Deprecated public void setContractID(int contractId)
    Deprecated.
    Использовать `getContractId()`.
    Parameters:
      `contractId` -

  - ### getDateTime

    public Date getDateTime()

  - ### setDateTime

    public void setDateTime(Date date)

  - ### getPaymentId

    public int getPaymentId()

  - ### setPaymentId

    public void setPaymentId(int id)

  - ### getSumma

    public BigDecimal getSumma()

  - ### setSumma

    public void setSumma(BigDecimal summa)

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getTransId

    public String getTransId()

  - ### setTransId

    public void setTransId(String transId)

  - ### getDealerId

    public int getDealerId()

  - ### setDealerId

    public void setDealerId(int dealerId)

  - ### equalz

    public int equalz(DPayment pay)

  - ### getPaymentType

    public int getPaymentType()

  - ### setPaymentType

    public void setPaymentType(int paymentType)